TICKIT_RENDERBUFFER_BLIT(3)

NAME
tickit_renderbuffer_blit - copies buffer contents to another buffer

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_blit(TickitRenderBuffer *dst, const TickitRenderBuffer *src);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_blit() copies the stored state in the src buffer to the dst buffer. The src buffer is not reset afterwards, or otherwise modified in any way. Translation, clipping masks and current pen settings on the dst buffer are respected.

This function is intended for storing long-term screen state that rarely changes in an of-screen buffer stored by the application, allowing fast efficient rendering when required. Applications using this should be aware that memory allocated internally by the TickitRenderBuffer instance is only release by tickit_renderbuffer_reset(3).

RETURN VALUE
This function returns nothing.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_flush_to_term(3), tickit_renderbuffer(7), tickit(7)